Subject: Re: bug#18636: 24.4.50; doc of `display-monitor-attributes-list' - DISPLAY? FRAME?

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Oct 2014 17:10:31 +0300

> Date: Wed, 8 Oct 2014 07:04:51 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > IOW, what other details are required to correctly invoke and use
> > these functions?
> 
> Dunno what other details are needed to understand these functions.
> That was the point.
> 
> I'm not looking for implementation details.  I'm guessing that a
> description of the function, and a good understanding of it, involves
> some description/understanding of the argument and what it means
> to the function.  What the function needs it for - not in terms of
> just what it does with it, but in logical terms - why it is required.
> 
> Maybe no more info is needed - dunno.  But usually a user can tell
> why a given argument might have a value of different types, e.g. a
> buffer or a string that names a buffer.  The connection here, between
> a frame arg value and a display arg value, is not obvious.  I was
> guessing that what the function needs, ultimately, is a display, and
> that if given a frame it uses the frame's display.  But apparently 
> that is not the connection.
> 
> I'm in the dark on this.  Use your own judgment.  If you think
> nothing is unclear or missing, that's good enough for me.

In my judgment, nothing else is needed.  Most functions just need the
type of the frames on display, which can be gleaned from any of the
possible argument types.  The other need the screen used by the
display, which again can be gotten from any argument type.

IOW, these arguments serve as proxies to the information needed by the
functions.